#include "Http.h"


class ContentTransposer : public HttpRequestListener
{
protected:
	HttpRequestListener* forwardee;
	bool switched;

public:
	/**
	 * @param forwardee ownership is transferred
	 **/   
	ContentTransposer(HttpRequestListener* forwardee);
	~ContentTransposer();

	void attached(const HttpRequest* r);
	void detached(const HttpRequest* r);

  
	bool started(const HttpRequest*);
	bool finished(const HttpRequest*) ;
	bool header(const HttpRequest*, const HttpHeader *header) ;
	bool data(const HttpRequest*, const char* data, int len) ;
	bool error(const HttpRequest* );
	bool headersEnd(const HttpRequest*, int /* status */);
	bool resolving(const HttpRequest*);
  
	bool authenticate(HttpRequest*);
};
